.section-our-offer {
    position: relative;
    display: flex;
    gap: 20px;
}

.section-our-offer .section__header {
    width: min(50%, 600px);
    margin-block-end: 0;
}

.section-our-offer .section__content {
    position: absolute;
    top: 0;
    right: 0;
    bottom: 0;
    width: min(45%, 450px);
    padding-inline-end: 10px;
    overflow: auto;
}

@media (max-width: 768px) {
    .section-our-offer {
        flex-direction: column;
        gap: 0;
    }

    .section-our-offer .section__header {
        display: contents;
    }

    .section-our-offer .section__header,
    .section-our-offer .section__content {
        width: 100%;
    }

    .section-our-offer .section__content {
        position: static;
        margin-block-start: 20px;
        padding-inline-end: 0;
    }

    .section__buttons-flex {
        order: 1;
    }

}